Bug 1023579 - remote-invoker quickstart will not deploy to FSW
remote-invoker quickstart will not deploy to FSW
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 15:49 EDT by Jim Rigsbee
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-01 09:44:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Rigsbee 2013-10-25 15:49:23 EDT
Description of problem:
the remote-invoker quickstart builds and tests fine, but when deployed to FSW 6.0 Beta, Weld complains of an unresolvable CDI injection for the CheckCredit service.  This service is referenced in the switchyard.xml correctly.
This quickstart works fine against community 1.0.0.Final

Version-Release number of selected component (if applicable):
FSW CI 6.0.0 (Beta)

How reproducible:
Always

Steps to Reproduce:
1. mvn clean package jboss-as:deploy
2.
3.

Actual results:
Fails to deploy

Expected results:
Should deploy with no errors and mvn exec:java should access the SCA endpoint

Additional info:
Comment 1 Jim Rigsbee 2013-10-25 15:50:55 EDT
s/b CreditCheck - had a typo there
Comment 3 Keith Babo 2013-10-29 06:37:23 EDT
This works fine for me using the beta installer with RH FSW runtime, RTGov client, and FSW quickstarts as installed options.  Attach the server log from the deployment and the app you are deploying if you continue to hit this in a clean install.
Comment 4 Jim Rigsbee 2013-10-30 09:32:28 EDT
This is user error on my part.  I had JBOSS_HOME preset for another installation of SY 1.0.0 and so the installer when it brings up EAP for running CLI scripts, etc. was hitting the wrong server thus leaving me with an incomplete FSW setup.

I have fixed JBOSS_HOME, run the installer, and successfully tested the quickstart.

Sorry for the trouble.

Jim

Note You need to log in before you can comment on or make changes to this bug.